<template>
  <div class="container mt-3">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <a class="navbar-brand" href="/home">MAPALA WMDK</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item active">
            <a class="nav-link" href="/peminjam/read">Home <span class="sr-only">(current)</span></a>
          </li>
        </ul>
      </div>
    </nav>
    <div class="card mt-2">
      <div class="card-header">
        <span class="myauto">Daftar Peminjaman Alat</span>
      </div>
      <div class="card-body">
        <!-- <div class="row justify-content-left align-items-left">
          <a href="/logistik/anggota/insert" class="btn btn-primary">+ Tambah Data Anggota</a>
        </div><br> -->
        <div class="row justify-content-center align-items-center">
          <table class="table table-bordered">
            <thead>
              <tr>
                <th>No</th>
                <th>Nama Peminjam</th>
                <th>Nama Divisi</th>
                <th>Daftar Alat Yang Di Pinjam</th>
                <th>Tanggal Peminjaman</th>
                <!-- <th>Alamat</th>
                <th>Email</th>
                <th>Nohp</th>
                <th>Action</th> -->
              </tr>
            </thead>
            <tbody>
              <tr v-for="(peminjam, index) in peminjams" :key="peminjam.id_alat">
                <td>{{index+1}}</td>
                <td>{{peminjam.nama_pinjam}}</td>
                <td>{{peminjam.kategori}}</td>
                <td>{{peminjam.nama}}</td>
                <td>{{peminjam.tanggal}}</td>
                <!-- <td>{{peminjam.alamat}}</td>
                <td>{{peminjam.email}}</td>
                <td>{{peminjam.nohp}}</td> -->
                <!-- <td>
                  <router-link
                    :to="{ name: 'Update', params: {id_anggota: anggota.id, nama: anggota.nama, alamat: anggota.alamat, email: anggota.email, nohp: anggota.nohp} }"
                    class="btn btn-success"
                  >Edit</router-link>|
                  <button @click="deleteItem(anggota.id)" class="btn btn-danger">Delete</button>
                </td> -->
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      peminjams: "",
    };
  },
  mounted() {
    this.getAlat();
  },
  methods: {
    getAlat() {
      axios
        .get("https://management.masuk.id/mapalabe/apiPeminjaman/read.php")
        .then(res => {
          this.peminjams = res.data;
        })
        .catch(err => {
          // handle error
          console.log(err);
        });
    },
  }
};
</script>

<style lang="stylus" scoped>

</style>